<script setup lang="ts">
interface Props {
  title?: string;
  description?: string;
  buttonText?: string;
  buttonLink?: string;
  background?: string;
}

withDefaults(defineProps<Props>(), {
  title: '',
  description: '',
  buttonText: '',
  buttonLink: '',
  background: '',
});
</script>

<template>
  <section
    class="hero relative"
    aria-labelledby="hero-title"
    aria-describedby="hero-description"
  >
    <div class="hero-background absolute left-0 w-full h-full">
      <!-- Provide meaningful alt text for the background image or leave it empty if decorative -->
      <img
        class="object-cover absolute w-full h-full"
        :src="background"
        alt="Description of background image"
      />
      <div class="object-cover absolute w-full h-full hero-background-cover z-10"></div>
    </div>
    <div class="hero-content">
      <!-- Use IDs for aria-labelledby and aria-describedby -->
      <h1 id="hero-title" class="text-3xl">{{ title }}</h1>
      <div id="hero-description" class="mt-2 max-w-[600px]" v-html="description"></div>
      <!-- Ensure the link is accessible with a descriptive aria-label if needed -->
      <nuxt-link
        class="button primary mt-5"
        v-if="buttonText && buttonLink"
        :to="buttonLink"
        :aria-label="'Learn more about ' + title"
      >
        {{ buttonText }}
      </nuxt-link>
    </div>
  </section>
</template>
